function Settings(){	
	var that = this;
	var dialog = null;
	
	function getSetting(setting){
		return System.Gadget.Settings.read(setting);
	}
	
	function setSetting(setting, value){
		that[setting] = value;
		System.Gadget.Settings.write(setting, value);
	}
	
	function setDefaults(){
		setSetting("blink", true);
		setSetting("defaultsSet", true);
	}
	
	function loadSetting(setting){
		that[setting] = getSetting(setting);	
	}
	
	function loadSettings(){
		if(!getSetting("defaultsSet")){
			setDefaults();
		}
		else{
			loadSetting("blink");
		}
	}
	
	
	function settingsDialogSave(){
		setSetting("blink", dialog.$("#blink").attr("checked"));
		$("#colon div").show();
	}
	
	that.settingsDialogInit = function(dialogWindow){
		dialog = dialogWindow;
		System.Gadget.onSettingsClosing = that.settingsDialogClosing;
		
		dialog.$("#blink").attr("checked", that.blink);
	}
	
	that.settingsDialogClosing = function(event){
		if(event.closeAction == event.Action.commit){
			settingsDialogSave();
		}
	}
	
	loadSettings();
}